Bug 1732406 - glibc: fclose/exit issues related to wide streams
Summary: glibc: fclose/exit issues related to wide streams
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1732450
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 10:09 UTC by Florian Weimer
Modified: 2019-07-31 15:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 15:31:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github karelzak util-linux issues 807 'None' 'closed' 'Double-free issue in rev' 2019-11-21 10:54:19 UTC
Red Hat Bugzilla 1734680 'unspecified' 'CLOSED' 'glibc: Memory leak in iconv_open' 2019-11-21 10:54:19 UTC
Sourceware 24583 'P2' 'REOPENED' 'Memory leak in fopen with ccs argument' 2019-11-21 10:54:26 UTC
Sourceware 24677 'P2' 'RESOLVED' 'free error in __libio_codecvt_out with e.g. UTF-8 locales' 2019-11-21 10:54:25 UTC

Description Florian Weimer 2019-07-23 10:09:34 UTC
For the mass rebuild, we need to back out the upstream fix for this bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=24583

It caused a regression:

https://sourceware.org/bugzilla/show_bug.cgi?id=24677

The util-linux bug also has not been fixed in Fedora.

Comment 1 Florian Weimer 2019-07-23 12:25:37 UTC
glibc-2.29.9000-34.fc31 has the revert.  I'll leave this bug open for the revert of the revert, once we have the proper upstream fix.

Comment 2 Florian Weimer 2019-07-31 15:31:14 UTC
We are not going to tackle this in Fedora 31 due to persistent issues.  See bug 1734680.  Everything has been reverted permanently.


Note You need to log in before you can comment on or make changes to this bug.